
/// Queries the server status and executes the callback with the result as param once it has it
function GetServerStatus(callback) {
    makeCefQuery(
        '{"queryTypeString":"MONITORING_GET_SERVER_STATUS"}',
        (response) => { callback(JSON.parse(response)); },
        (error_code, error_message) => { printError(error_code + error_message) }
    );
}

// Chart Data Ops
function addData(chart, label, data) {
    chart.data.labels.push(label);
    chart.data.datasets.forEach((dataset) => {
        dataset.data.push(data);
    });
    chart.update();
}
function removeLastData(chart) {
    chart.data.labels.pop();
    chart.data.datasets.forEach((dataset) => {
        dataset.data.pop();
    });
    chart.update();
}
function removeFirstData(chart) {
    chart.data.labels.shift();
    chart.data.datasets.forEach((dataset) => {
        dataset.data.shift();
    });
    chart.update();
}


// Logging
function LogInUnity(msg) {
    makeCefQuery('{"queryTypeString":"LOG_MESSAGE", "queryParam":"' + msg + '"}', (response) => {}, (error_code, error_message) => { printError(error_code + error_message) });
}

// Prints an error message into the innerText of an element with the id "errors"
function printError(errorMsg) {
    document.getElementById('errors').parentElement.parentElement.parentElement.style.display = 'block';
    document.getElementById('errors').innerText += errorMsg + "\n\n";
}

// CEF Query
function makeCefQuery(query, onSuccess, onFailure) {
    // only do the cef query if we're really in the embedded browser
    if (navigator.userAgent.includes("Mozilla/5.0 (Windows NT 6.2; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.76 Safari/537.36")) {
        window.cefQuery({
            request: query,
            onSuccess: onSuccess,
            onFailure: onFailure
        });
    } else {
        console.log(query);
    }

}

