var intervalID = window.setInterval(getRating, 500);

function getRating() {
    window.cefQuery({
        request: '{"queryTypeString":"GET_RATING"}',
        onSuccess: function (response) {

            if (response == "P1") {
                document.getElementById('finishedPageContent').style.display = 'none';
                document.getElementById('underConstructionContent').style.display = '';
            } else {
                document.getElementById('finishedPageContent').style.display = '';
                document.getElementById('underConstructionContent').style.display = 'none';
                document.getElementById('ratingValue').innerHTML = getStars(JSON.parse(response).avg);
                
                let ratings = JSON.parse(response).ratings;
                for (let index = 0; index < ratings.length; index++) {
                    if (ratings[index] > 0) {
                        // document.getElementById('ratingValue').innerHTML = index;
                        addComment(index+1);
                    }
                }
            }
        },
        onFailure: function (error_code, error_message) {
            document.getElementById('error').innerText = error_code + " - " + error_message;
            document.getElementById('error').style("color: red");
        }
    });
}

function addComment(rating) {
    
    $.each(comments.kommentar, function (i, f) {
        if (rating == f.Stars && !f.Posted) {
            var tblRow = `<div id='comment'><p>${f.Name}</p><p>${getStars(f.Stars)}</p><p>${f.Kommentar}</p></div>`;
            $(tblRow).appendTo("#AllgBeitrag");
            $('#BeitraegeCount').text(comments.kommentar.length);
            f.Posted = true;
        }
    });
}


function getStars(rating) {
    let toHalfInt = (Math.round(rating * 2) / 2).toFixed(1);
    let returnHtml = "";
    for (var i = 1; i <= toHalfInt; i++) {
        returnHtml += '<img src="imgWeb/SternVoll.png">';
    }
    console.log(i);

    if (toHalfInt % 1 != 0) {
        returnHtml += '<img src="imgWeb/SternHalb.png">';
        for (let j = 0; j < 5-i; j++) {
            returnHtml += '<img src="imgWeb/SternLeer.png">';
        }
    } else {
        for (let j = 0; j < 5-i+1; j++) {
            returnHtml += '<img src="imgWeb/SternLeer.png">';
        }
    }
    return returnHtml;
}
